View processing result output contents

Output block that lists the workflow products. Output blocks can be used to read revision records or to switch active revisions.

GET https://moi.matrixorigin.cn/newmoi/lineage/artifacts/{artifact_id}/output-blocks

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

Request parameters

Request example

curl -X GET "https://moi.matrixorigin.cn/newmoi/lineage/artifacts/$ARTIFACT_ID/output-blocks" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

The response fields are as follows.

data.artifact_idstring
Product ID.
data.node_idstring
Node ID; returned when querying the node range.
data.blocksarray
Output block list.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {"artifact_id": "art-001", "blocks": []}
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
Last updated on